GIT-FMT-MERGE-MSG(1)

NAME
git-fmt-merge-msg - Produce a merge commit message

SYNOPSIS

    git fmt-merge-msg [--log | --no-log] <$GIT_DIR/FETCH_HEAD
    git fmt-merge-msg [--log | --no-log] -F <file>

DESCRIPTION
Takes the list of merged objects on stdin and produces a suitable commit message to be used for the merge commit, usually to be passed as the <merge-message> argument of git-merge.

This script is intended mostly for internal use by scripts automatically invoking git-merge.

OPTIONS

--log
    In addition to branch names, populate the log message with one-line descriptions from the actual commits that are being merged.

--no-log
    Do not list one-line descriptions from the actual commits being merged.

--summary, --no-summary
    Synonyms to --log and --no-log; these are deprecated and will be removed in the future.

-F <file>, --file <file>
    Take the list of merged objects from <file> instead of stdin.

CONFIGURATION

merge.log
    Whether to include summaries of merged commits in newly merge commit messages. False by default.

merge.summary
    Synonym to merge.log; this is deprecated and will be removed in the future.

SEE ALSO
git-merge(1)

AUTHOR
Written by Junio C Hamano <gitster@pobox.com>

DOCUMENTATION
Documentation by Petr Baudis, Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(1) suite